namespace eval ::senddraw {
	proc Init { dir } {
		::plugins::RegisterPlugin "SendDraw"
		::plugins::RegisterEvent "SendDraw" chatwindowbutton AddSendDrawButton
		::skin::setPixmap butsenddraw senddrawbut.png pixmaps [file join $dir pixmaps]
		::skin::setPixmap butsenddraw_hover senddrawbut_hover.png pixmaps [file join $dir pixmaps]
	}


	proc AddSendDrawButton { event evpar } {
		upvar 2 $evpar newvar
			
		set buttonbar $newvar(bottom)		

		set senddrawbut $buttonbar.senddrawbut
		label $senddrawbut -image [::skin::loadPixmap butsenddraw] -relief flat -padx 0 \
			-background [::skin::getKey buttonbarbg] -highlightthickness 0 -borderwidth 0 \
			-highlightbackground [::skin::getKey buttonbarbg] -activebackground [::skin::getKey buttonbarbg]
		pack $senddrawbut -side left -padx 0 -pady 0

		set window $newvar(window_name)	
		
		bind $senddrawbut  <<Button1>> "::senddraw::SendButtonPressed $window"
		bind $senddrawbut  <Enter> "$senddrawbut configure -image [::skin::loadPixmap butsenddraw_hover]"
		bind $senddrawbut  <Leave> "$senddrawbut configure -image [::skin::loadPixmap butsenddraw]"	
	}
	
	proc SendButtonPressed { window } {
		global HOME
		set filename [chooseFileDialog]
		if { $filename != "" } {	
			if { [info exists ::env(TEMP) ] } {
				if {[catch {::picture::Convert $filename [file join $::env(TEMP) "inktosend.gif"]} res]} {
					msg_box $res
					return
				}
				::amsn::InkSend $window [file join $::env(TEMP) "inktosend.gif"]
			} else {
				if {[catch {::picture::Convert $filename [file join "/tmp" "inktosend.gif"]} res]} {
					msg_box $res
					return
				}
				::amsn::InkSend $window [file join "/tmp" "inktosend.gif"]
			}
		}
	}
}